---
displayed_sidebar: entitiesSidebar
---

# Class: Country

## Constructors

### constructor

• **new Country**()

## Properties

### display\_name

• **display\_name**: `string`

#### Defined in

[models/country.ts:31](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/country.ts#L31)

___

### id

• **id**: `number`

#### Defined in

[models/country.ts:15](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/country.ts#L15)

___

### iso\_2

• **iso\_2**: `string`

#### Defined in

[models/country.ts:19](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/country.ts#L19)

___

### iso\_3

• **iso\_3**: `string`

#### Defined in

[models/country.ts:22](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/country.ts#L22)

___

### name

• **name**: `string`

#### Defined in

[models/country.ts:28](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/country.ts#L28)

___

### num\_code

• **num\_code**: `number`

#### Defined in

[models/country.ts:25](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/country.ts#L25)

___

### region

• **region**: [`Region`](Region.md)

#### Defined in

[models/country.ts:39](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/country.ts#L39)

___

### region\_id

• **region\_id**: ``null`` \| `string`

#### Defined in

[models/country.ts:35](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/country.ts#L35)
